summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2015-03-03 10:25:45 +0000
committerintrigeri <intrigeri@boum.org>2015-03-03 10:25:45 +0000
commit131d8f78a3cbd86f0fdba929e72130b80070c134 (patch)
tree7edd2164003fac96d2a25201ffe3e642b3f7b15b /config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries
parent9e7aa97db078177c8f36d227a22b8a79da5096b6 (diff)
parent5ec5f06708514a494044e40a175e8d80fa446e5a (diff)
Merge remote-tracking branch 'origin/master' into faq/7926-apt-get-upgradefaq/7926-apt-get-upgrade
Diffstat (limited to 'config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries')
-rwxr-xr-xconfig/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries18
1 files changed, 18 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries b/config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries
new file mode 100755
index 0000000..d690708
--- /dev/null
+++ b/config/chroot_local-hooks/43-adjust_path_to_ibus-unikey_binaries
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+echo "Moving IBus Unikey binaries to /usr/lib/ibus/"
+
+# Workaround Debian bug #714932 -- we can't just dpkg-divert it, since
+# the original path is hardcoded in these binaries.
+for infix in engine setup ; do
+ orig="/usr/lib/ibus-unikey/ibus-$infix-unikey"
+ dest="/usr/lib/ibus/ibus-$infix-unikey"
+ ln -s "$orig" "$dest"
+done
+
+# Adjust path to the binary in unikey.xml
+sed -i -e \
+ 's,/usr/lib/ibus-unikey/ibus-engine-unikey,/usr/lib/ibus/ibus-engine-unikey,' \
+ /usr/share/ibus/component/unikey.xml